html {
    scroll-behavior: smooth;
}

#options {
    height: 85px;
    font-family: Arial, Helvetica, sans-serif;
    display: flex;
    align-items: center;
    background-color: #eaf3f3;
    padding: 0 90px;
    justify-content: space-between;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

.left_option{
    text-decoration: none;
    width: 20%;
    font-size: 20px;
    font-family: playfairdisplay-bold;
    font-weight: bold;
}

.left_option a, .pagination a, .social_media a, .arts_title a{
    text-decoration: none;
    color: black;
}

.right_option{
    display: flex;
    align-items: center; 
    width: 80%;
    justify-content: space-between;
}

.pagination{
    width: 50%;
    text-align: right;
}


.pagination a{
    padding: 0 10px;
}

.search{
    width: 20%;
}

.search img{
    height: 26px;
}

#banner {
    display: flex;
}

.blog_photo, .shop_photo {
    background-size: cover;
    width: 50%;
    height: 1000px;
    display: flex;
    justify-content: center; 
    align-items: center; 
    font-size: 80px;
    font-family: playfairdisplay-bold;
    color: white;
}

.blog_photo {
    background-image: url("./image/blog_photo.jpg");
}

.shop_photo {
    background-image: url("./image/shop_photo.jpg");
}

.name_posts {
    padding: 75px 0 25px 0;
    display: flex;
    justify-content: center;
    color: rgb(79 97 75);
    font-size: 17px;
}

.posts_title, .goods_title, .follow_me_title{
    display: flex;
    justify-content: center;
    font-size: 36px;
    font-family: playfairdisplay-bold;
}

.title{
    font-weight: bold;
}

#my_posts {
    font-family: Arial, Helvetica, sans-serif;
    margin: 0 auto;
    height: 750px;
}

.blog{
    display: flex;
    justify-content: center
}

.arts{
    margin: 45px 15px 40px 15px;
    width: 310px;
    height: 440px;
    background-color: #eaf3f3;
}

.arts_photo_1, .arts_photo_2, .arts_photo_3{
    background-size: cover;
    background-position: center;
    width: 310px;
    height: 230px;
}

.arts_photo_1{
    background-image: url("./image/photo_1.webp");
}

.arts_photo_2{
    background-image: url("./image/photo_2.webp");
}

.arts_photo_3{
    background-image: url("./image/photo_3.webp");
}

.arts_word{
    padding: 28px 16px 25px;
}

.arts_time{
    font-size: 12px;
    padding: 0px 0px 12px;
}

.arts_title{
    font-size: 22px;
    font-family: playfairdisplay-bold;
    padding-bottom: 10px;
    border-bottom: 1px solid #586c58;
    height: 75px;
    margin-bottom: 15px;
}

.reaction{
    display: flex;
    justify-content: space-between;
}

.view_numbers{
    display: flex
}

.view_numbers img{
    height: 19px;
    width: 19px;
}

.view_numbers .view_number{
    padding: 2px 0 2px 6px;
}

.like_numbers img{
    cursor: pointer;
}

.read_more, .view_all{
    display: block;
    height: 50px;
    width: 200px;
    align-items: center;
    margin: 0 auto 10px;
    border: 1px solid #000000;
    font-family: Arial, Helvetica, sans-serif;
}

.view_all{
    margin: 60px auto 140px;
}

.self_area{
    display: flex;
}


#goods {
    height: 810px;
    background-color: #eaf3f3;
}

.goods_title{
    padding: 95px 0px 60px;
}

.goods_banner{
    display: flex;
    justify-content: space-evenly;
}

.goods_photo_1, .goods_photo_2, .goods_photo_3, .goods_photo_4{
    background-size: cover;
    background-position: center;
    width: 220px;
    height: 330px;
    margin-bottom: 35px;
}

.goods_photo_1{
    background-image: url("./image/goods_photo_1.webp");
}

.goods_photo_2{
    background-image: url("./image/goods_photo_2.webp");
}

.goods_photo_3{
    background-image: url("./image/goods_photo_3.webp");
}

.goods_photo_4{
    background-image: url("./image/goods_photo_4.webp");
}

.goods_word{
    text-align: center;
    font-size: 17px;
    font-family: Arial, Helvetica, sans-serif;
}

.self_area{
    height: 825px;
    display: flex;
}

#self_introduce{
    width: 100%;
}

.self_name_title{
    margin: 125px 0 45px;
    text-align: center;
    font-size: 36px;
    font-family: playfairdisplay-bold;
}

.self_photo{
    width: 315px;
    height: 315px;
    margin: 0 auto;
    background-size: cover;
    background-position: center;
    background-image: url("./image/self_photo.webp");
    display: block;
}

.self_introduce{
    width: 310px;
    line-height: 1.5em;
    text-align: center;
    margin: 40px auto 25px;
}

.self_introduce, .input_Email, .Email_checkbox, .collabs_info{
    font-size: 17px;
    font-family: avenir-lt-w01_35-light1475496, sans-serif;
}

.whole_self_photo{
    width: 100%;
    height: 527px;
    background-size: cover;
    background-position: center;
    background-image: url("./image/whole_self_photo.webp");
}

#follow_me {
    background-color: #eaf3f3;
}

.follow_me_title{
    padding: 80px 0px 45px;
}

.image-grid {
    display: flex;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    padding-bottom: 35px;
}
  
.image-grid img {
    width: 100%;
    height: auto;
}

.image-container {
    position: relative;
    display: inline-block;
}

.image-container img {
    display: block;
    transition: filter 0.3s ease;
}

/* 1. 滑鼠移入變暗 */
.image-container:hover img {
    filter: brightness(30%);
}

/* 2. 標籤（預設隱藏） */
.label {
    position: absolute;
    bottom: 0px;
    color: white;
    opacity: 0;
    transition: opacity 0.3s ease;
    justify-content: center;
    display: flex;
    height: 100%;
    width: 100%;
    align-items: center;
}

/* 3. 滑鼠移入時顯示標籤 */
.image-container:hover .label {
    opacity: 1;
}

.row{
    display: block;
}

.row_small_even, .row_small_even .image-container{
    display: flex;
    gap: 10px;
    padding-bottom: 5px;
}

.row_small_odd{
    display: flex;
    gap: 10px;
    padding-top: 5px;
}

#sign_up {   
    height: 785px;
    padding: 105px 0 150px;
    margin: 0 auto;
    display: flex;
}

.sign_up_left{
    width: 440px;
    margin: 0 auto;
}

.sign_up_right{
    width: 390px;
    margin: 0 auto;
}
.social_media img{
    width: 24px;
    height: 24px;
    align-items: center;
}

.sign_up_for{
    padding: 65px 0px 30px;
    font-size: 36px;
    font-family: playfairdisplay-bold;
    font-weight: bold;
}

.Email_checkbox{
    display: flex;
    justify-content: space-between;
}

.Email_checkbox label{
    margin: auto;
}

.Email_underline{
    margin: 34px 0 25px;
    border-bottom: 1px solid #000000;
}

.join{
    height: 45px;
    width: 130px;
    align-items: center;
    border: 1px solid #000000;
    font-family: Arial, Helvetica, sans-serif;
}

.collabs{
    padding: 105px 0px 35px;
    font-size: 36px;
    font-family: playfairdisplay-bold;
    font-weight: bold;
}

.collabs_info{
    line-height: 1.6em;
}

.sign_up_right{
    font-size: 17px;
    font-family: avenir-lt-w01_35-light1475496, sans-serif;
}

.reach_out{
    padding: 30px 0 45px 0;
}

.reach_out_row{
    display: flex;
    justify-content: space-between;
}

.reach_out_left, .reach_out_right{
    width: 182.5px;
}

.message_underline{
    margin: 79px 0 25px;
    border-bottom: 1px solid #000000;
}

.submit{
    height: 45px;
    width: 180px;
    align-items: center;
    border: 1px solid #000000;
    font-family: Arial, Helvetica, sans-serif;
}

@media (max-width: 1019px) {
    body{
        width: 1020px;
        overflow-x: auto;
    }
  }